[Unit]
Description=Tomcat socle
After=network-online.target

[Service]
Type=forking

User=socleng-sfr
Group=socleng-sfr
UMask=007

Environment=JAVA_HOME=/usr/lib/jvm/java-1.17.0-openjdk-amd64

ExecStart=/home/socleng-sfr/tomcat/bin/startup.sh
ExecStop=/home/socleng-sfr/tomcat/bin/shutdown.sh

Restart=on-failure

# Configures the time to wait before service is stopped forcefully.
TimeoutStopSec=300

[Install]
WantedBy=multi-user.target
